Bug 1315021 - (openvibe) Review Request: openvibe - A software platform for brain-computer interfaces
Review Request: openvibe - A software platform for brain-computer interfaces
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On: vrpn
Blocks: fedora-neuro
  Show dependency treegraph
 
Reported: 2016-03-05 13:55 EST by Dmitry Mikhirev
Modified: 2016-04-03 16:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-03 16:50:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dmitry Mikhirev 2016-03-05 13:55:41 EST
Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/bizdelnick/neuro/openvibe.git/plain/openvibe.spec?id=4472df9e559e5e5454773b69012b2a5a9dd7f1bc
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/bizdelnick/neuro/fedora-rawhide-x86_64/00165929-openvibe/openvibe-1.1.0-1.fc25.src.rpm
Description: OpenViBE is a software for real-time neurosciences (that is, for real-time processing of brain signals). It can be used to acquire, filter, process, classify and visualize brain signals in real time.
Fedora Account System Username: bizdelnick
Comment 1 Zbigniew Jędrzejewski-Szmek 2016-03-05 14:01:59 EST
Can you make vrpn mandatory? I'll review vrpn, and conditionals make everything more complicated.
Comment 2 Dmitry Mikhirev 2016-03-05 14:09:41 EST
Sure, I'll make it mandatory after vrpn will be approved. Or should I do this right now?
Comment 3 Zbigniew Jędrzejewski-Szmek 2016-03-05 14:14:22 EST
Right now. Unless you think there's some reason to think that vrpn might not be approved. Looks like a well done package, so I wouldn't think so.
Comment 5 Zbigniew Jędrzejewski-Szmek 2016-03-06 21:26:18 EST
Change python-devel to python2-devel, or maybe python3-devel? Would it work with python3?

There should be an appdata file [https://fedoraproject.org/wiki/Packaging:AppData].

Note: if you package for F23- (F24+ is fine as is), you'll need to add scriptlets for the desktop files [https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#desktop-database].
Comment 6 Dmitry Mikhirev 2016-03-07 16:09:12 EST
> Change python-devel to python2-devel, or maybe python3-devel? Would it work with python3?

It wants python 2.7 only. Changed to python2-devel.

> Note: if you package for F23- (F24+ is fine as is), you'll need to add scriptlets for the desktop files

Added.

> There should be an appdata file

Well, "should" is not "must", right? ☺

Spec URL: http://copr-dist-git.fedorainfracloud.org/cgit/bizdelnick/neuro/openvibe.git/plain/openvibe.spec?id=c3df616e09207a638e8665db14d637b2a0e13e86
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/bizdelnick/neuro/fedora-rawhide-x86_64/00166419-openvibe/openvibe-1.1.0-1.fc25.src.rpm
Comment 7 Zbigniew Jędrzejewski-Szmek 2016-03-07 16:11:43 EST
It's "SHOULD" not "should" ;) It means "must unless there's a good reason not to".
Comment 9 Zbigniew Jędrzejewski-Szmek 2016-03-08 23:01:48 EST
Please always link to the raw spec file for fedora-review's sake.

+ latest version
+ license is acceptable (AGPLv3)
+ license file is present, %license is used
+ scriptlets look OK
- provides/requires are not OK (see below)
+ builds and installs OK

No %check (apart from the desktop files and appdata) :(
Use appstream-util validate-relax --nonet, otherwise it fails in mock.

Installation fails with:
nothing provides libquat.so.07()(64bit) needed by openvibe-1.1.0-1.fc25.x86_64.
Comment 10 Dmitry Mikhirev 2016-03-09 15:20:33 EST
> Please always link to the raw spec file for fedora-review's sake.
I'm sorry.

> No %check (apart from the desktop files and appdata) :(
I did not add running tests because they require X server connection. I supposed that there should be a workaround, but I found the page https://fedoraproject.org/wiki/PackageMaintainers/GraphicalTests only after submitting this review request. So I can try to enable tests now.

> Use appstream-util validate-relax --nonet, otherwise it fails in mock.
OK.

> Installation fails with:
> nothing provides libquat.so.07()(64bit) needed by openvibe-1.1.0-1.fc25.x86_64.
Right, it is provided by vrpn package.
Comment 11 Zbigniew Jędrzejewski-Szmek 2016-03-09 16:01:18 EST
(In reply to Dmitry Mikhirev from comment #10)
> > Please always link to the raw spec file for fedora-review's sake.
> I'm sorry.
Not a big problem, just an additional step.

> > No %check (apart from the desktop files and appdata) :(
> I did not add running tests because they require X server connection. I
> supposed that there should be a workaround, but I found the page
> https://fedoraproject.org/wiki/PackageMaintainers/GraphicalTests only after
> submitting this review request. So I can try to enable tests now.
I think it's useful. At least checking if the binaries actually run
can be useful:
$ /usr/bin/openvibe-external-application-launcher
/usr/bin/openvibe-external-application-launcher: line 24: /usr/bin/: Is a directory

It seems that something is wrong here.

> > Installation fails with:
> > nothing provides libquat.so.07()(64bit) needed by openvibe-1.1.0-1.fc25.x86_64.
> Right, it is provided by vrpn package.
Oh, OK. I didn't notice that. With vrpn installed everything installs fine.

Package is APPROVED.
Comment 12 Gwyn Ciesla 2016-03-14 09:41:50 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/openvibe
Comment 13 Mike McCune 2016-03-28 19:47:57 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.